# NAME

Katsubushi::Converter - id converter issued by katsubushi

# SYNOPSIS

    use Katsubushi::Converter

    my $epoch = Katsubushi::Converter::id_to_epoch($id);
    print "id=${id} issued at ${epoch} in unix epoch time"

# DESCRIPTION

This module provides methods to convert id issued by katsubushi.

katsubushi is id generator written in Go.
https://github.com/kayac/go-katsubushi

# METHODS

- `$epoch = id_to_epoch($id)`
- `$epoch_msec = id_to_epoch_msec($id)`

    Convert id to epoch in seconds/milliseconds.

- `$id = epoch_to_id($epoch)`
- `$id = epoch_msec_to_id($epoch_msec)`

    Convert epoch seconds/milliseconds to id.
    This method assume that WorkerID and Sequense are both 0.

# LICENSE

Copyright (C) handlename.

This library is free software; you can redistribute it and/or modify
it under the same terms as Perl itself.

# AUTHOR

NAGATA Hiroaki &lt;handlename>
